Bug 39266 - kernel-2.4.3-2.14.19.athlon install problem
kernel-2.4.3-2.14.19.athlon install problem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-06 06:42 EDT by Derek Tattersall
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 08:18:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2001-05-06 06:42:04 EDT
Description of Problem:
rpm -ivh kernel-2.4.3.2.14.19.athlon.rpm fails to install as rpm reports
that it is for the wrong architecture.

How Reproducible:
always

Steps to Reproduce:
1. Acquire an athlon processor/motherboard combo
2. Install Red Hat Linux
3. Attempt to upgrade the kernel to 2.4.3-2.14.19 using the athlon rpm
4. Note the failure.
5. Note that the rpm can be installed via the --ignorearch flag to rpm.
(Thanks Arjan!)
Actual Results:


Expected Results:
The rpm is installed correctly

Additional Information:
uname -a shows:
Linux athlon.arm.org 2.4.3-2.14.19 #1 Fri May 4 18:40:42 EDT 2001 i686

Should the machine now show athlon rather than i686?
Comment 1 Arjan van de Ven 2001-05-06 07:38:44 EDT
Jeff: Wasn't this assumed to be fixed for 7.1 ?

Re the uname: athlons are "i686 class" and are reporting themselves as such.
Comment 2 Jeff Johnson 2001-05-06 09:00:39 EDT
The athlon patch is not in rpm-4.0.2 in 7.1, should be in rpm-4.0.3-0.6.

Note You need to log in before you can comment on or make changes to this bug.